// code-analyzer creates graph from a C source code.
// Copyright © 2021 Volodymyr Patuta
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "cparse.h"

int main(int argc, char *argv[])
{
	(void)argc;
	(void)argv;
	graph_vec g = vnew_graph();
	// find_funcs("/home/user/dev/l2/algo2/pattern-search/src/rgxp.c", &g);
	findAndParse("/tmp/neovim/src/nvim", &g);
	// for (int j = 0; j <= g.n; j++) {
	// 	printf("NODE %d: '%s'\n", j, g.node[j]->func);
	// }
	// int i = is_in(g, "nvim_buf_get_offset");
	// if (i > -1) {
	// 	puts("yes");
	// 	print_node(g.node[i]);
	// }
	// } else
	vdot_graph(g);
	vdelete_graph(&g);
	return 0;
}
