#include <stdbool.h>

typedef char fix_str[256];
typedef struct node *nodept;
typedef struct nodes graph_vec;

struct nodes {
	int n;
	int cap;
	nodept *node;
};

struct node {
	int num;	  // le numero de noeud
	int nbs;	  // nombre de successeurs
	fix_str func; // noms de fonctions
	int cap;
	nodept *succ; // les successeurs
};

graph_vec vnew_graph(void);
void vinsert_node(graph_vec *g, fix_str str);
void vdelete_graph(graph_vec *g);
int vis_in(graph_vec g, fix_str func);
void vprint_node(nodept node);
void vdot_graph(graph_vec g);
